-- Pierwotny właściciel i twórca kodu: AmaMa
-- Zakaz używania / edycji kodu bez wcześniejszej zgody ze strony właściciela
-- Zakaz wykorzystywania całego lub fragmentów kodu
-- W przypadku złamania powyzszych zasad sprawa zostanie skierowana do sądu pod zarzutem: Naruszenia majątkowych praw autorskich
-- Pierwotnie pełne prawo do używania tego kodu posiada tylko AmaMa

mojeW,mojeH = 1360,768
sW,sH = guiGetScreenSize()
sx, sy = (sW/mojeW), (sH/mojeH)
makepause = false

achievements = {
    {49,"Doświadczony I"},
    {99,"Doświadczony II"},
    {149,"Doświadczony III"},
    {199,"Doświadczony IV"},
    {249,"Doświadczony V"},
    {299,"Doświadczony VI"},
    {349,"Doświadczony VII"},
    {399,"Doświadczony VIII"},
    {449,"Doświadczony IX"},
    {499,"Doświadczony X"},
}

function request(exp,lvl)
    if tonumber(lvl) == 500 then return end
    if makepause == true then return end
    if tonumber(exp) >= getElementData(localPlayer,"player:data").requestexp then
        local data = getElementData(localPlayer,"player:data")
        for i,v in pairs(achievements) do
        if data.lvl == v[1] then
        ac = v[2]
        end
        end
        triggerServerEvent("lvlsystem:request", resourceRoot, lvl, (ac or false))
        makepause = true
    end
end

function giveexp(value)
local data = getElementData(localPlayer,"player:data")
data.exp = (data.exp)+value
setElementData(localPlayer,"player:data",data)
request(getElementData(localPlayer,"player:data").exp,getElementData(localPlayer,"player:data").lvl)
end

addEvent("lvlsystem:againrequest", true)
addEventHandler("lvlsystem:againrequest", resourceRoot, function()
    makepause = false
    if tonumber(getElementData(localPlayer,"player:data").exp) >= getElementData(localPlayer,"player:data").requestexp then
        request(getElementData(localPlayer,"player:data").exp,getElementData(localPlayer,"player:data").lvl)
    end
end)


